package yem.wm.cm.csrm.enums;

/**
 * 页面ID
 *
 * @Author yunshuaiwei
 * @Date 2024/6/6 14:10
 **/
public enum PageIdEnum {

    SCORE_PYRAMID("yem_cm_scorepyramid", "评分金字塔表单"),
    CM_PYRAMID("yem_cm_pyramid", "企业风险评估"),
    SEARCH("yem_cm_search", "企业风险评估搜索页"),
    MERCHANT_APPLY("yem_cm_merchantapply", "客商准入申请单"),
    MULTI_TASK("yem_cm_multitasking", "多任务进度表单"),
    SCORE_SCHEME("yem_bd_score_plan", "评分方案基础资料"),
    SCORE_MERCHANT("yem_cm_merchantrating", "客商评分"),
    SCORE_MERCHANT_LAYOUT("yem_cm_merchantrat_layout", "客商评分布局"),
    TASK_ITEM_LOG("yem_base_taskitemlog","任务日志"),
    TASK_ITEM("yem_base_taskitem","任务项"),
    BD_GRADINGSCALE("yem_bd_gradingscale","评分等级"),
    MERCHANT_APP_LAYOUT("yem_cm_merchantapp_layout", "客商准入申请单布局");



    private final String pageId;
    private final String name;

    PageIdEnum(String pageId, String name) {
        this.pageId = pageId;
        this.name = name;
    }

    public static PageIdEnum getPageEnumById(String pageId) {
        PageIdEnum[] values = PageIdEnum.values();
        for (PageIdEnum value : values) {
            if (value.getPageId().equals(pageId)) {
                return value;
            }
        }
        return null;
    }

    public String getPageId() {
        return pageId;
    }

    public String getName() {
        return name;
    }
}
